Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Compound Members | File Members

# LampForMaya::TranslationPictureManager Class Reference

変換ピクチャマネージャ More...

`#include <TranslationPictureManager.h>`

List of all members.

## Public Member Functions
| TranslationPictureManager ()
| コンストラクタ
virtual | ~TranslationPictureManager ()
| デストラクタ
virtual bool | collectPictures (TranslationTextureManager *textureManager)
| ピクチャの収集
virtual bool | convertToLamp (Scene *scene)
| Lampへの変換.
virtual int | clear ()
| クリア
virtual int | getCount ()
| ピクチャ数の取得
virtual TranslationPicture * | get (int index)
| ピクチャの取得
virtual TranslationPicture * | search (String name)
| ピクチャの検索

## Detailed Description

変換ピクチャマネージャ

Definition at line 40 of file TranslationPictureManager.h.

## Member Function Documentation

int LampForMaya::TranslationPictureManager::clear | ( |  | ) | `[virtual]`

| クリア Returns: 削除したオブジェクト数 Definition at line 72 of file TranslationPictureManager.cpp. References getCount(). Referenced by LampForMaya::TranslationScene::clear(), and ~TranslationPictureManager().

bool LampForMaya::TranslationPictureManager::collectPictures | ( | TranslationTextureManager * | textureManager | ) | `[virtual]`

| ピクチャの収集 Returns: 成功すればtrue Definition at line 45 of file TranslationPictureManager.cpp. References LampForMaya::TranslationTextureManager::get(), LampForMaya::TranslationTextureManager::getCount(), LampForMaya::TranslationTexture::getPictureName(), LampForMaya::TranslationTexture::getPicturePath(), and search(). Referenced by LampForMaya::TranslationScene::collection().

bool LampForMaya::TranslationPictureManager::convertToLamp | ( | Scene * | scene | ) | `[virtual]`

  | Lampへの変換. Parameters:
  scene | 変換先シーン
Returns: 成功すればtrue Definition at line 64 of file TranslationPictureManager.cpp. References LampForMaya::TranslationPicture::convertToLamp(), get(), and getCount(). Referenced by LampForMaya::TranslationScene::convertToLamp().

virtual TranslationPicture* LampForMaya::TranslationPictureManager::get | ( | int | index | ) | `[inline, virtual]`

  | ピクチャの取得 Parameters:
  index | ピクチャのインデクス
Returns: ピクチャ Definition at line 82 of file TranslationPictureManager.h. Referenced by convertToLamp().

virtual int LampForMaya::TranslationPictureManager::getCount | ( |  | ) | `[inline, virtual]`

| ピクチャ数の取得 Returns: ピクチャ数 Definition at line 75 of file TranslationPictureManager.h. Referenced by clear(), convertToLamp(), and ~TranslationPictureManager().

virtual TranslationPicture* LampForMaya::TranslationPictureManager::search | ( | String | name | ) | `[inline, virtual]`

  | ピクチャの検索 Parameters:
  name | 検索するピクチャ名
Returns: ピクチャ Definition at line 89 of file TranslationPictureManager.h. Referenced by collectPictures().

The documentation for this class was generated from the following files:

- TranslationPictureManager.h
- TranslationPictureManager.cpp